Loading...
Searching...
No Matches
svn_wc_entry_t Struct Reference
Working copy management » Entries and status (deprecated)

A working copy entry – that is, revision control information about one versioned entity. More...

`#include <svn_wc.h>`

## Data Fields

const char * | name
| entry's name
svn_revnum_t | revision
| base revision
const char * | url
| url in repository
const char * | repos
| canonical repository URL or NULL if not known
const char * | uuid
| repository uuid
svn_node_kind_t | kind
| node kind (file, dir, ...)
svn_wc_schedule_t | schedule
| scheduling (add, delete, replace ...)
svn_boolean_t | copied
| in a copied state (possibly because the entry is a child of a path that is svn_wc_schedule_add or svn_wc_schedule_replace, when the entry itself is svn_wc_schedule_normal).
svn_boolean_t | deleted
| The directory containing this entry had a versioned child of this name, but this entry represents a different revision or a switched path at which no item exists in the repository.
svn_boolean_t | absent
| absent – we know an entry of this name exists, but that's all (usually this happens because of authz restrictions)
svn_boolean_t | incomplete
| for THIS_DIR entry, implies whole entries file is incomplete
const char * | copyfrom_url
| copyfrom location
svn_revnum_t | copyfrom_rev
| copyfrom revision
const char * | conflict_old
| old version of conflicted file.
const char * | conflict_new
| new version of conflicted file.
const char * | conflict_wrk
| working version of conflicted file.
const char * | prejfile
| property reject file.
apr_time_t | text_time
| last up-to-date time for text contents (0 means no information available)
apr_time_t | prop_time
| last up-to-date time for properties (0 means no information available)
const char * | checksum
| Hex MD5 checksum for the untranslated text base file, can be `NULL` for backwards compatibility.
svn_revnum_t | cmt_rev
| last revision this was changed
apr_time_t | cmt_date
| last date this was changed
const char * | cmt_author
| last commit author of this item
const char * | lock_token
| lock token or NULL if path not locked in this WC
const char * | lock_owner
| lock owner, or NULL if not locked in this WC
const char * | lock_comment
| lock comment or NULL if not locked in this WC or no comment
apr_time_t | lock_creation_date
| Lock creation date or 0 if not locked in this WC.
svn_boolean_t | has_props
| Whether this entry has any working properties.
svn_boolean_t | has_prop_mods
| Whether this entry has property modifications.
const char * | cachable_props
| A space-separated list of all properties whose presence/absence is cached in this entry.
const char * | present_props
| Cached property existence for this entry.
const char * | changelist
| which changelist this item is part of, or NULL if not part of any.
apr_off_t | working_size
| Size of the file after being translated into local representation, or SVN_WC_ENTRY_WORKING_SIZE_UNKNOWN if unknown.
svn_boolean_t | keep_local
| Whether a local copy of this entry should be kept in the working copy after a deletion has been committed, Only valid for the this-dir entry when it is scheduled for deletion.
svn_depth_t | depth
| The depth of this entry.
const char * | tree_conflict_data
| Serialized data for all of the tree conflicts detected in this_dir.
const char * | file_external_path
| The entry is a intra-repository file external and this is the repository root relative path to the file specified in the externals definition, otherwise NULL if the entry is not a file external.
svn_opt_revision_t | file_external_peg_rev
| The entry is a intra-repository file external and this is the peg revision number specified in the externals definition.
svn_opt_revision_t | file_external_rev
| The entry is an intra-repository file external and this is the operative revision number specified in the externals definition.

## Detailed Description

A working copy entry – that is, revision control information about one versioned entity.

Deprecated
  Provided for backward compatibility with the 1.6 API.

Definition at line 2902 of file svn_wc.h.

## Field Documentation

## absent

svn_boolean_t svn_wc_entry_t::absent

absent – we know an entry of this name exists, but that's all (usually this happens because of authz restrictions)

Definition at line 2951 of file svn_wc.h.

## cachable_props

const char* svn_wc_entry_t::cachable_props

A space-separated list of all properties whose presence/absence is cached in this entry.

See also
  `present_props`.

Since
  New in 1.4.

Deprecated
  This value will always be "" in version 1.7 and later.

Definition at line 3046 of file svn_wc.h.

## changelist

const char* svn_wc_entry_t::changelist

which changelist this item is part of, or NULL if not part of any.

Since
  New in 1.5.

Definition at line 3061 of file svn_wc.h.

## checksum

const char* svn_wc_entry_t::checksum

Hex MD5 checksum for the untranslated text base file, can be `NULL` for backwards compatibility.

Definition at line 2991 of file svn_wc.h.

## cmt_author

const char* svn_wc_entry_t::cmt_author

last commit author of this item

Definition at line 3002 of file svn_wc.h.

## cmt_date

apr_time_t svn_wc_entry_t::cmt_date

last date this was changed

Definition at line 2999 of file svn_wc.h.

## cmt_rev

svn_revnum_t svn_wc_entry_t::cmt_rev

last revision this was changed

Definition at line 2996 of file svn_wc.h.

## conflict_new

const char* svn_wc_entry_t::conflict_new

new version of conflicted file.

A file basename, relative to the user's directory that the THIS_DIR entry refers to.

Definition at line 2968 of file svn_wc.h.

## conflict_old

const char* svn_wc_entry_t::conflict_old

old version of conflicted file.

A file basename, relative to the user's directory that the THIS_DIR entry refers to.

Definition at line 2964 of file svn_wc.h.

## conflict_wrk

const char* svn_wc_entry_t::conflict_wrk

working version of conflicted file.

A file basename, relative to the user's directory that the THIS_DIR entry refers to.

Definition at line 2972 of file svn_wc.h.

## copied

svn_boolean_t svn_wc_entry_t::copied

in a copied state (possibly because the entry is a child of a path that is svn_wc_schedule_add or svn_wc_schedule_replace, when the entry itself is svn_wc_schedule_normal).

COPIED is true for nodes under a directory that was copied, but COPYFROM_URL is null there. They are both set for the root destination of the copy.

Definition at line 2938 of file svn_wc.h.

## copyfrom_rev

svn_revnum_t svn_wc_entry_t::copyfrom_rev

copyfrom revision

Definition at line 2960 of file svn_wc.h.

## copyfrom_url

const char* svn_wc_entry_t::copyfrom_url

copyfrom location

Definition at line 2957 of file svn_wc.h.

## deleted

svn_boolean_t svn_wc_entry_t::deleted

The directory containing this entry had a versioned child of this name, but this entry represents a different revision or a switched path at which no item exists in the repository.

This typically arises from committing or updating to a deletion of this entry without committing or updating the parent directory.

The schedule can be 'normal' or 'add'.

Definition at line 2947 of file svn_wc.h.

## depth

svn_depth_t svn_wc_entry_t::depth

The depth of this entry.

### It's a bit annoying that we only use this on this_dir

### entries, yet it will exist (with value svn_depth_infinity) on

### all entries. Maybe some future extensibility would make this

### field meaningful on entries besides this_dir.

Since
  New in 1.5.

Definition at line 3086 of file svn_wc.h.

## file_external_path

const char* svn_wc_entry_t::file_external_path

The entry is a intra-repository file external and this is the repository root relative path to the file specified in the externals definition, otherwise NULL if the entry is not a file external.

Since
  New in 1.6.

Definition at line 3099 of file svn_wc.h.

## file_external_peg_rev

svn_opt_revision_t svn_wc_entry_t::file_external_peg_rev

The entry is a intra-repository file external and this is the peg revision number specified in the externals definition.

This field is only valid when the file_external_path field is non-NULL. The only permissible values are svn_opt_revision_unspecified if the entry is not an external, svn_opt_revision_head if the external revision is unspecified or specified with -r HEAD or svn_opt_revision_number for a specific revision number.

Since
  New in 1.6.

Definition at line 3111 of file svn_wc.h.

## file_external_rev

svn_opt_revision_t svn_wc_entry_t::file_external_rev

The entry is an intra-repository file external and this is the operative revision number specified in the externals definition.

This field is only valid when the file_external_path field is non-NULL. The only permissible values are svn_opt_revision_unspecified if the entry is not an external, svn_opt_revision_head if the external revision is unspecified or specified with -r HEAD or svn_opt_revision_number for a specific revision number.

Since
  New in 1.6.

Definition at line 3123 of file svn_wc.h.

## has_prop_mods

svn_boolean_t svn_wc_entry_t::has_prop_mods

Whether this entry has property modifications.

Note
  For working copies in older formats, this flag is not valid.

See also
  svn_wc_props_modified_p().

Since
  New in 1.4.

Definition at line 3037 of file svn_wc.h.

## has_props

svn_boolean_t svn_wc_entry_t::has_props

Whether this entry has any working properties.

False if this information is not stored in the entry.

Since
  New in 1.4.

Definition at line 3028 of file svn_wc.h.

## incomplete

svn_boolean_t svn_wc_entry_t::incomplete

for THIS_DIR entry, implies whole entries file is incomplete

Definition at line 2954 of file svn_wc.h.

## keep_local

svn_boolean_t svn_wc_entry_t::keep_local

Whether a local copy of this entry should be kept in the working copy after a deletion has been committed, Only valid for the this-dir entry when it is scheduled for deletion.

Since
  New in 1.5.

Definition at line 3076 of file svn_wc.h.

## kind

svn_node_kind_t svn_wc_entry_t::kind

node kind (file, dir, ...)

Definition at line 2924 of file svn_wc.h.

## lock_comment

const char* svn_wc_entry_t::lock_comment

lock comment or NULL if not locked in this WC or no comment

Since
  New in 1.2.

Definition at line 3017 of file svn_wc.h.

## lock_creation_date

apr_time_t svn_wc_entry_t::lock_creation_date

Lock creation date or 0 if not locked in this WC.

Since
  New in 1.2.

Definition at line 3022 of file svn_wc.h.

## lock_owner

const char* svn_wc_entry_t::lock_owner

lock owner, or NULL if not locked in this WC

Since
  New in 1.2.

Definition at line 3012 of file svn_wc.h.

## lock_token

const char* svn_wc_entry_t::lock_token

lock token or NULL if path not locked in this WC

Since
  New in 1.2.

Definition at line 3007 of file svn_wc.h.

## name

const char* svn_wc_entry_t::name

entry's name

Definition at line 2909 of file svn_wc.h.

## prejfile

const char* svn_wc_entry_t::prejfile

property reject file.

A file basename, relative to the user's directory that the THIS_DIR entry refers to.

Definition at line 2976 of file svn_wc.h.

## present_props

const char* svn_wc_entry_t::present_props

Cached property existence for this entry.

This is a space-separated list of property names. If a name exists in `cachable_props` but not in this list, this entry does not have that property. If a name exists in both lists, the property is present on this entry.

Since
  New in 1.4.

Deprecated
  This value will always be "" in version 1.7 and later.

Definition at line 3056 of file svn_wc.h.

## prop_time

apr_time_t svn_wc_entry_t::prop_time

last up-to-date time for properties (0 means no information available)

Deprecated
  This value will always be 0 in version 1.4 and later.

Definition at line 2986 of file svn_wc.h.

## repos

const char* svn_wc_entry_t::repos

canonical repository URL or NULL if not known

Definition at line 2918 of file svn_wc.h.

## revision

svn_revnum_t svn_wc_entry_t::revision

base revision

Definition at line 2912 of file svn_wc.h.

## schedule

svn_wc_schedule_t svn_wc_entry_t::schedule

scheduling (add, delete, replace ...)

Definition at line 2929 of file svn_wc.h.

## text_time

apr_time_t svn_wc_entry_t::text_time

last up-to-date time for text contents (0 means no information available)

Definition at line 2980 of file svn_wc.h.

## tree_conflict_data

const char* svn_wc_entry_t::tree_conflict_data

Serialized data for all of the tree conflicts detected in this_dir.

Since
  New in 1.6.

Definition at line 3091 of file svn_wc.h.

## url

const char* svn_wc_entry_t::url

url in repository

Definition at line 2915 of file svn_wc.h.

## uuid

const char* svn_wc_entry_t::uuid

repository uuid

Definition at line 2921 of file svn_wc.h.

## working_size

apr_off_t svn_wc_entry_t::working_size

Size of the file after being translated into local representation, or SVN_WC_ENTRY_WORKING_SIZE_UNKNOWN if unknown.

Since
  New in 1.5.

Definition at line 3069 of file svn_wc.h.

The documentation for this struct was generated from the following file:

- svn_wc.h